<template>
  <div>
    <div
      class="p-2"
      v-on:click="collapse = !collapse"
      v-bind:class="{
        'border-bottom': collapse && perfil == 'admin'
      }"
    >
      <div class="d-flex justify-content-between align-items-center">
        <p class="text--gray font-small font-bold mb-0">
          {{ evaluation.description }}
        </p>
        <router-link to v-if="perfil != 'admin'" class="btn btn-info"
          >Realizar</router-link
        >
      </div>
    </div>
    <div v-if="collapse && perfil == 'admin'">
      <div
        class="p-2"
        v-for="question of evaluation.questions"
        :key="question.id"
      >
        <p class="text--gray font-small font-bold mb-2">
          {{ question.statement }}
        </p>
        <label
          class="d-flex text--gray font-small"
          v-for="(answer, index) of question.answers"
          :key="index"
        >
          {{ index + 1 }}{{ answer.correct ? " [X] " : " [&nbsp;&nbsp;] "
          }}{{ answer.text }}
        </label>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "card-evaluation",
  data() {
    return {
      collapse: false
    };
  },
  props: {
    evaluation: {
      type: Object,
      required: true
    },
    perfil: {
      type: String,
      default: "avaliando"
    }
  }
};
</script>
